<?php

/**
 * OpenKM, Open Knowledge Management System S.L.  (http://www.openkm.com)
 * Copyright (c) 2006-2018
 *
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is commercial software; you can use it under the terms of the
 * EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * EULA - OpenKM SDK End User License Agreement for more details:
 * http://docs.openkm.com/kcenter/view/licenses/eula-openkm-sdk-end-user-license-agreement.html
 */

namespace openkm\bean;

/**
 * ChangeSecurity
 *
 * @author sochoa
 */
class ChangeSecurity {

    private $nodeId;
    private $grantedUsers = [];
    private $revokeUsers = [];
    private $grantedRoles = [];
    private $revokedRoles = [];
    private $recursive;

    function __construct() {
        
    }
    
    function getNodeId() {
        return $this->nodeId;
    }

    function getGrantedUsers() {
        return $this->grantedUsers;
    }

    function getRevokeUsers() {
        return $this->revokeUsers;
    }

    function getGrantedRoles() {
        return $this->grantedRoles;
    }

    function getRevokedRoles() {
        return $this->revokedRoles;
    }

    function isRecursive() {
        return $this->recursive;
    }

    function setNodeId($nodeId) {
        $this->nodeId = $nodeId;
    }

    function setGrantedUsers($grantedUsers) {
        $this->grantedUsers = $grantedUsers;
    }

    function setRevokeUsers($revokeUsers) {
        $this->revokeUsers = $revokeUsers;
    }

    function setGrantedRoles($grantedRoles) {
        $this->grantedRoles = $grantedRoles;
    }

    function setRevokedRoles($revokedRoles) {
        $this->revokedRoles = $revokedRoles;
    }

    function setRecursive($recursive) {
        $this->recursive = $recursive;
    }



}

?>
